{
    "batchcomplete": "", 
    "query": {
        "dbrepllag": [
            {
                "host": "", 
                "lag": -1
            }
        ], 
        "extensions": [
            {
                "author": "[https://about.suriyaa.tk Suriyaa Sundararuban]", 
                "descriptionmsg": "sidebardonatebox-desc", 
                "name": "DonateBoxInSidebar", 
                "type": "parserhook", 
                "url": "https://www.mediawiki.org/wiki/Extension:DonateBoxInSidebar", 
                "version": "1.3.0"
            }, 
            {
                "author": "[https://www.sergeychernyshev.com Sergey Chernyshev], Yaron Koren, ...", 
                "descriptionmsg": "widgets-desc", 
                "license": "/Special:Version/License/Widgets", 
                "license-name": "GPL-2.0+", 
                "name": "Widgets", 
                "type": "parserhook", 
                "url": "https://www.mediawiki.org/wiki/Extension:Widgets", 
                "version": "1.3.0"
            }, 
            {
                "author": "David Pean, Misza, Jack Phoenix, Adam Carter/UltrasonicNXT, Samantha Nguyen", 
                "descriptionmsg": "comments-desc", 
                "name": "Comments", 
                "type": "parserhook", 
                "url": "https://www.mediawiki.org/wiki/Extension:Comments", 
                "vcs-date": "2018-10-14T20:25:15Z", 
                "vcs-system": "git", 
                "vcs-url": "https://gerrit.wikimedia.org/g/mediawiki/extensions/Comments/+/f3b0e4a79885969764b8812c57cc5db9cb40c6ff\n", 
                "vcs-version": "f3b0e4a79885969764b8812c57cc5db9cb40c6ff\n", 
                "version": "4.4.2"
            }, 
            {
                "author": "Aaron Wright, David Pean, Jack Phoenix", 
                "descriptionmsg": "voteny-desc", 
                "name": "VoteNY", 
                "type": "parserhook", 
                "url": "https://www.mediawiki.org/wiki/Extension:VoteNY", 
                "vcs-date": "2018-10-12T22:19:43Z", 
                "vcs-system": "git", 
                "vcs-url": "https://gerrit.wikimedia.org/g/mediawiki/extensions/VoteNY/+/0d87a86d52e51a847750960610c047891f09af12\n", 
                "vcs-version": "0d87a86d52e51a847750960610c047891f09af12\n", 
                "version": "2.9.4"
            }, 
            {
                "author": "Erik Moeller, Leonardo Pimenta, Rob Church, Trevor Parscal, DaSch", 
                "descriptionmsg": "inputbox-desc", 
                "license": "/Special:Version/License/InputBox", 
                "license-name": "MIT", 
                "name": "InputBox", 
                "type": "parserhook", 
                "url": "https://www.mediawiki.org/wiki/Extension:InputBox", 
                "vcs-date": "2018-10-11T08:15:58Z", 
                "vcs-system": "git", 
                "vcs-url": "https://gerrit.wikimedia.org/g/mediawiki/extensions/InputBox/+/3ae0db5948e4bf6db6eea9f0963b6f23e4cb0d71\n", 
                "vcs-version": "3ae0db5948e4bf6db6eea9f0963b6f23e4cb0d71\n", 
                "version": "0.3.0"
            }, 
            {
                "author": "Nikola Smolenski, Brion Vibber, Steve Sanbeg", 
                "descriptionmsg": "poem-desc", 
                "license": "/Special:Version/License/Poem", 
                "license-name": "CC0-1.0", 
                "name": "Poem", 
                "type": "parserhook", 
                "url": "https://www.mediawiki.org/wiki/Extension:Poem"
            }, 
            {
                "author": "Przemek Piotrowski", 
                "descriptionmsg": "youtube-desc", 
                "name": "YouTube", 
                "type": "parserhook", 
                "url": "https://www.mediawiki.org/wiki/Extension:YouTube", 
                "vcs-date": "2018-10-13T17:09:38Z", 
                "vcs-system": "git", 
                "vcs-url": "https://gerrit.wikimedia.org/g/mediawiki/extensions/YouTube/+/367992ed9552c86f11b5e39af5f44930305092db\n", 
                "vcs-version": "367992ed9552c86f11b5e39af5f44930305092db\n", 
                "version": "1.9.3"
            }, 
            {
                "author": "Aaron Wright, David Pean, Jack Phoenix", 
                "descriptionmsg": "socialprofile-desc", 
                "name": "SocialProfile", 
                "type": "other", 
                "url": "https://www.mediawiki.org/wiki/Extension:SocialProfile", 
                "vcs-date": "2018-02-24T22:17:44Z", 
                "vcs-system": "git", 
                "vcs-url": "https://gerrit.wikimedia.org/g/mediawiki/extensions/SocialProfile/+/d5b396075b751bbf2152fb15cac04a0296e2e0cd\n", 
                "vcs-version": "d5b396075b751bbf2152fb15cac04a0296e2e0cd\n", 
                "version": "1.13"
            }, 
            {
                "author": "David Pean, Jack Phoenix", 
                "descriptionmsg": "blogpage-desc", 
                "license": "/Special:Version/License/BlogPage", 
                "license-name": "GPL-2.0-or-later", 
                "name": "BlogPage", 
                "type": "other", 
                "url": "https://www.mediawiki.org/wiki/Extension:BlogPage", 
                "vcs-date": "2018-10-13T17:57:15Z", 
                "vcs-system": "git", 
                "vcs-url": "https://gerrit.wikimedia.org/g/mediawiki/extensions/BlogPage/+/77225cc81d1d635501978d0a2767467eb2288671\n", 
                "vcs-version": "77225cc81d1d635501978d0a2767467eb2288671\n", 
                "version": "2.6.1"
            }, 
            {
                "author": "Aaron Wright, David Pean, Jack Phoenix", 
                "descriptionmsg": "systemgifts-desc", 
                "name": "SystemGifts", 
                "type": "other"
            }, 
            {
                "author": "Aaron Wright, David Pean, Jack Phoenix", 
                "descriptionmsg": "useractivity-desc", 
                "name": "UserActivity", 
                "type": "other"
            }, 
            {
                "author": "Aaron Wright, David Pean, Jack Phoenix", 
                "descriptionmsg": "userboard-desc", 
                "name": "UserBoard", 
                "type": "other"
            }, 
            {
                "author": "Aaron Wright, David Pean, Jack Phoenix", 
                "descriptionmsg": "userrelationship-desc", 
                "name": "UserRelationship", 
                "type": "other"
            }, 
            {
                "author": "Aaron Wright, David Pean, Jack Phoenix", 
                "descriptionmsg": "userstats-desc", 
                "name": "UserStats", 
                "type": "other"
            }, 
            {
                "author": "Aaron Wright, David Pean, Jack Phoenix", 
                "descriptionmsg": "usergifts-desc", 
                "name": "UserGifts", 
                "type": "other"
            }, 
            {
                "author": "Aleksi Postari", 
                "description": "Sends Discord notifications for selected actions that have occurred in your MediaWiki sites.", 
                "license": "/Special:Version/License/Discord_Notifications", 
                "license-name": "", 
                "name": "Discord Notifications", 
                "type": "other", 
                "url": "https://github.com/kulttuuri/discord_mediawiki", 
                "version": "1.0.7"
            }, 
            {
                "author": "Aaron Wright, David Pean, Jack Phoenix", 
                "descriptionmsg": "poll-desc", 
                "name": "PollNY", 
                "type": "other", 
                "url": "https://www.mediawiki.org/wiki/Extension:PollNY", 
                "vcs-date": "2017-04-21T16:24:03Z", 
                "vcs-system": "git", 
                "vcs-url": "https://gerrit.wikimedia.org/g/mediawiki/extensions/PollNY/+/3a69a564bf6f126cf5a2418bda25dd9384fc7063\n", 
                "vcs-version": "3a69a564bf6f126cf5a2418bda25dd9384fc7063\n", 
                "version": "3.3.6"
            }, 
            {
                "name": "ReCaptchaNoCaptcha", 
                "type": "other"
            }, 
            {
                "author": "Lee Daniel Crocker, ...", 
                "descriptionmsg": "cologneblue-desc", 
                "license": "/Special:Version/License/Cologne_Blue", 
                "license-name": "GPL-2.0+", 
                "name": "Cologne Blue", 
                "namemsg": "skinname-cologneblue", 
                "type": "skin", 
                "url": "https://www.mediawiki.org/wiki/Skin:Cologne_Blue"
            }, 
            {
                "author": "River Tarnell, ...", 
                "descriptionmsg": "modern-desc", 
                "license": "/Special:Version/License/Modern", 
                "license-name": "GPL-2.0+", 
                "name": "Modern", 
                "namemsg": "skinname-modern", 
                "type": "skin", 
                "url": "https://www.mediawiki.org/wiki/Skin:Modern"
            }, 
            {
                "author": "Gabriel Wicke, Isarra Yos, ...", 
                "descriptionmsg": "monobook-desc", 
                "license": "/Special:Version/License/MonoBook", 
                "license-name": "GPL-2.0-or-later", 
                "name": "MonoBook", 
                "namemsg": "skinname-monobook", 
                "type": "skin", 
                "url": "https://www.mediawiki.org/wiki/Skin:MonoBook"
            }, 
            {
                "author": "Trevor Parscal, Roan Kattouw, ...", 
                "descriptionmsg": "vector-skin-desc", 
                "license": "/Special:Version/License/Vector", 
                "license-name": "GPL-2.0-or-later", 
                "name": "Vector", 
                "namemsg": "skinname-vector", 
                "type": "skin", 
                "url": "https://www.mediawiki.org/wiki/Skin:Vector"
            }, 
            {
                "author": "Malvineous, Martynov Maxim", 
                "descriptionmsg": "darkvector-skin-desc", 
                "license": "/Special:Version/License/DarkVector", 
                "license-name": "GPL-2.0+", 
                "name": "DarkVector", 
                "namemsg": "skinname-darkvector", 
                "type": "skin", 
                "url": "https://www.mediawiki.org/wiki/Skin:DarkVector"
            }, 
            {
                "author": "[http://webtuts.pl/themes/ Aleksandra \u0141\u0105czek], Jack Phoenix, [http://en.uncyclopedia.co/wiki/User:Bizzeebeever Bizzeebeever], Samantha Nguyen", 
                "descriptionmsg": "gamepress-desc", 
                "name": "Gamepress", 
                "type": "skin", 
                "url": "https://www.mediawiki.org/wiki/Skin:Gamepress", 
                "vcs-date": "2017-04-23T20:01:11Z", 
                "vcs-system": "git", 
                "vcs-url": "https://gerrit.wikimedia.org/g/mediawiki/skins/Gamepress/+/60b311b3469003ef81f9b3da2179e83b09bb7284\n", 
                "vcs-version": "60b311b3469003ef81f9b3da2179e83b09bb7284\n", 
                "version": "1.1.4"
            }, 
            {
                "author": "Dialexio, iAdam1n, ...", 
                "descriptionmsg": "jony-skin-desc", 
                "license": "/Special:Version/License/Jony", 
                "license-name": "GPL-2.0+", 
                "name": "Jony", 
                "namemsg": "skinname-jony", 
                "type": "skin", 
                "url": "https://github.com/Dialexio/Jony", 
                "version": "1.0.7"
            }, 
            {
                "author": "\u00c6var Arnfj\u00f6r\u00f0 Bjarmason, Aaron Schulz", 
                "descriptionmsg": "renameuser-desc", 
                "license": "/Special:Version/License/Renameuser", 
                "license-name": "GPL-2.0-or-later", 
                "name": "Renameuser", 
                "type": "specialpage", 
                "url": "https://www.mediawiki.org/wiki/Extension:Renameuser"
            }, 
            {
                "author": "\u00c6var Arnfj\u00f6r\u00f0 Bjarmason, James D. Forrester", 
                "descriptionmsg": "citethispage-desc", 
                "license": "/Special:Version/License/CiteThisPage", 
                "license-name": "GPL-2.0-or-later", 
                "name": "CiteThisPage", 
                "type": "specialpage", 
                "url": "https://www.mediawiki.org/wiki/Extension:CiteThisPage"
            }, 
            {
                "author": "Derk-Jan Hartman, Trevor Parscal, Roan Kattouw, Nimish Gautam, Adam Miller", 
                "descriptionmsg": "wikieditor-desc", 
                "license": "/Special:Version/License/WikiEditor", 
                "license-name": "GPL-2.0-or-later", 
                "name": "WikiEditor", 
                "type": "editor", 
                "url": "https://www.mediawiki.org/wiki/Extension:WikiEditor", 
                "vcs-date": "2018-11-14T21:23:51Z", 
                "vcs-system": "git", 
                "vcs-url": "https://gerrit.wikimedia.org/g/mediawiki/extensions/WikiEditor/+/aea465f99e322b5dc9f06b676184812d775a2c3a\n", 
                "vcs-version": "aea465f99e322b5dc9f06b676184812d775a2c3a\n", 
                "version": "0.5.2"
            }, 
            {
                "author": "Brion Vibber, Florian Schmidt, Sam Reed, ...", 
                "credits": "/Special:Version/Credits/ConfirmEdit", 
                "descriptionmsg": "captcha-desc", 
                "license": "/Special:Version/License/ConfirmEdit", 
                "license-name": "GPL-2.0-or-later", 
                "name": "ConfirmEdit", 
                "type": "antispam", 
                "url": "https://www.mediawiki.org/wiki/Extension:ConfirmEdit", 
                "version": "1.6.0"
            }
        ], 
        "fileextensions": [
            {
                "ext": "png"
            }, 
            {
                "ext": "gif"
            }, 
            {
                "ext": "jpg"
            }, 
            {
                "ext": "jpeg"
            }, 
            {
                "ext": "webp"
            }
        ], 
        "general": {
            "allcentralidlookupproviders": [
                "local"
            ], 
            "articlepath": "/$1", 
            "base": "https://wiki.megateamfortress.com/Main_Page", 
            "case": "first-letter", 
            "categorycollation": "uppercase", 
            "centralidlookupprovider": "local", 
            "dbtype": "mysql", 
            "dbversion": "5.6.49-cll-lve", 
            "externalimages": [
                "http://cache.www.gametracker.com", 
                "http://cache.gametracker.com"
            ], 
            "fallback": [], 
            "fallback8bitEncoding": "windows-1252", 
            "favicon": "https://wiki.megateamfortress.com/favicon.ico", 
            "fixarabicunicode": "", 
            "fixmalayalamunicode": "", 
            "galleryoptions": {
                "captionLength": "", 
                "imageHeight": 120, 
                "imageWidth": 120, 
                "imagesPerRow": 0, 
                "mode": "traditional", 
                "showBytes": "", 
                "showDimensions": ""
            }, 
            "generator": "MediaWiki 1.32.2", 
            "imagelimits": [
                {
                    "height": 240, 
                    "width": 320
                }, 
                {
                    "height": 480, 
                    "width": 640
                }, 
                {
                    "height": 600, 
                    "width": 800
                }, 
                {
                    "height": 768, 
                    "width": 1024
                }, 
                {
                    "height": 1024, 
                    "width": 1280
                }
            ], 
            "interwikimagic": "", 
            "invalidusernamechars": "@:", 
            "lang": "en", 
            "langconversion": "", 
            "legaltitlechars": " %!\"$&'()*,\\-.\\/0-9:;=?@A-Z\\\\^_`a-z~\\x80-\\xFF+", 
            "linkprefix": "", 
            "linkprefixcharset": "", 
            "linktrail": "/^([a-z]+)(.*)$/sD", 
            "logo": "https://wiki.megateamfortress.com/images/rsz_mtf6.png", 
            "magiclinks": [], 
            "mainpage": "Main Page", 
            "maxarticlesize": 2097152, 
            "maxuploadsize": 104857600, 
            "minuploadchunksize": 1024, 
            "phpsapi": "litespeed", 
            "phpversion": "7.1.33", 
            "script": "/index.php", 
            "scriptpath": "", 
            "server": "https://wiki.megateamfortress.com", 
            "servername": "wiki.megateamfortress.com", 
            "sitename": "The MegaTF/TeamFortress Wiki!", 
            "thumblimits": [
                120, 
                150, 
                180, 
                200, 
                250, 
                300
            ], 
            "time": "2021-01-23T17:10:42Z", 
            "timeoffset": 0, 
            "timezone": "UTC", 
            "titleconversion": "", 
            "uploadsenabled": "", 
            "variantarticlepath": false, 
            "wikiid": "sharkck_mw4-mw_", 
            "writeapi": ""
        }, 
        "interwikimap": [
            {
                "prefix": "acronym", 
                "url": "http://www.acronymfinder.com/~/search/af.aspx?string=exact&Acronym=$1"
            }, 
            {
                "prefix": "advogato", 
                "url": "http://www.advogato.org/$1"
            }, 
            {
                "prefix": "arxiv", 
                "url": "http://www.arxiv.org/abs/$1"
            }, 
            {
                "prefix": "c2find", 
                "url": "http://c2.com/cgi/wiki?FindPage&value=$1"
            }, 
            {
                "prefix": "cache", 
                "url": "http://www.google.com/search?q=cache:$1"
            }, 
            {
                "api": "https://commons.wikimedia.org/w/api.php", 
                "prefix": "commons", 
                "url": "https://commons.wikimedia.org/wiki/$1"
            }, 
            {
                "prefix": "dictionary", 
                "url": "http://www.dict.org/bin/Dict?Database=*&Form=Dict1&Strategy=*&Query=$1"
            }, 
            {
                "prefix": "doi", 
                "url": "http://dx.doi.org/$1"
            }, 
            {
                "api": "http://drumcorpswiki.com/api.php", 
                "prefix": "drumcorpswiki", 
                "url": "http://www.drumcorpswiki.com/$1"
            }, 
            {
                "prefix": "dwjwiki", 
                "url": "http://www.suberic.net/cgi-bin/dwj/wiki.cgi?$1"
            }, 
            {
                "api": "http://enciclopedia.us.es/api.php", 
                "prefix": "elibre", 
                "url": "http://enciclopedia.us.es/index.php/$1"
            }, 
            {
                "prefix": "emacswiki", 
                "url": "http://www.emacswiki.org/cgi-bin/wiki.pl?$1"
            }, 
            {
                "prefix": "foldoc", 
                "url": "http://foldoc.org/?$1"
            }, 
            {
                "prefix": "foxwiki", 
                "url": "http://fox.wikis.com/wc.dll?Wiki~$1"
            }, 
            {
                "prefix": "freebsdman", 
                "url": "http://www.FreeBSD.org/cgi/man.cgi?apropos=1&query=$1"
            }, 
            {
                "prefix": "gentoo-wiki", 
                "url": "http://gentoo-wiki.com/$1"
            }, 
            {
                "prefix": "google", 
                "url": "http://www.google.com/search?q=$1"
            }, 
            {
                "prefix": "googlegroups", 
                "url": "http://groups.google.com/groups?q=$1"
            }, 
            {
                "prefix": "hammondwiki", 
                "url": "http://www.dairiki.org/HammondWiki/$1"
            }, 
            {
                "api": "http://www.hrwiki.org/w/api.php", 
                "prefix": "hrwiki", 
                "url": "http://www.hrwiki.org/wiki/$1"
            }, 
            {
                "prefix": "imdb", 
                "url": "http://www.imdb.com/find?q=$1&tt=on"
            }, 
            {
                "prefix": "kmwiki", 
                "url": "http://kmwiki.wikispaces.com/$1"
            }, 
            {
                "prefix": "linuxwiki", 
                "url": "http://linuxwiki.de/$1"
            }, 
            {
                "prefix": "lojban", 
                "url": "http://mw.lojban.org/papri/$1"
            }, 
            {
                "prefix": "lqwiki", 
                "url": "http://wiki.linuxquestions.org/wiki/$1"
            }, 
            {
                "prefix": "meatball", 
                "url": "http://www.usemod.com/cgi-bin/mb.pl?$1"
            }, 
            {
                "api": "https://www.mediawiki.org/w/api.php", 
                "prefix": "mediawikiwiki", 
                "url": "https://www.mediawiki.org/wiki/$1"
            }, 
            {
                "api": "http://en.memory-alpha.org/api.php", 
                "prefix": "memoryalpha", 
                "url": "http://en.memory-alpha.org/wiki/$1"
            }, 
            {
                "prefix": "metawiki", 
                "url": "http://sunir.org/apps/meta.pl?$1"
            }, 
            {
                "api": "https://meta.wikimedia.org/w/api.php", 
                "prefix": "metawikimedia", 
                "url": "https://meta.wikimedia.org/wiki/$1"
            }, 
            {
                "api": "https://wiki.mozilla.org/api.php", 
                "prefix": "mozillawiki", 
                "url": "http://wiki.mozilla.org/$1"
            }, 
            {
                "api": "https://www.mediawiki.org/w/api.php", 
                "prefix": "mw", 
                "url": "https://www.mediawiki.org/wiki/$1"
            }, 
            {
                "prefix": "oeis", 
                "url": "http://oeis.org/$1"
            }, 
            {
                "prefix": "openwiki", 
                "url": "http://openwiki.com/ow.asp?$1"
            }, 
            {
                "prefix": "pmid", 
                "url": "https://www.ncbi.nlm.nih.gov/pubmed/$1?dopt=Abstract"
            }, 
            {
                "prefix": "pythoninfo", 
                "url": "http://wiki.python.org/moin/$1"
            }, 
            {
                "prefix": "rfc", 
                "url": "https://tools.ietf.org/html/rfc$1"
            }, 
            {
                "api": "http://s23.org/w/api.php", 
                "prefix": "s23wiki", 
                "url": "http://s23.org/wiki/$1"
            }, 
            {
                "prefix": "seattlewireless", 
                "url": "http://seattlewireless.net/$1"
            }, 
            {
                "prefix": "senseislibrary", 
                "url": "http://senseis.xmp.net/?$1"
            }, 
            {
                "api": "http://www.shoutwiki.com/w/api.php", 
                "prefix": "shoutwiki", 
                "url": "http://www.shoutwiki.com/wiki/$1"
            }, 
            {
                "prefix": "squeak", 
                "url": "http://wiki.squeak.org/squeak/$1"
            }, 
            {
                "prefix": "theopedia", 
                "url": "http://www.theopedia.com/$1"
            }, 
            {
                "api": "http://tmbw.net/wiki/api.php", 
                "prefix": "tmbw", 
                "url": "http://www.tmbw.net/wiki/$1"
            }, 
            {
                "prefix": "tmnet", 
                "url": "http://www.technomanifestos.net/?$1"
            }, 
            {
                "prefix": "twiki", 
                "url": "http://twiki.org/cgi-bin/view/$1"
            }, 
            {
                "api": "http://en.uncyclopedia.co/w/api.php", 
                "prefix": "uncyclopedia", 
                "url": "http://en.uncyclopedia.co/wiki/$1"
            }, 
            {
                "api": "http://wiki.beyondunreal.com/w/api.php", 
                "prefix": "unreal", 
                "url": "http://wiki.beyondunreal.com/$1"
            }, 
            {
                "prefix": "usemod", 
                "url": "http://www.usemod.com/cgi-bin/wiki.pl?$1"
            }, 
            {
                "prefix": "wiki", 
                "url": "http://c2.com/cgi/wiki?$1"
            }, 
            {
                "prefix": "wikia", 
                "url": "http://www.wikia.com/wiki/$1"
            }, 
            {
                "api": "https://en.wikibooks.org/w/api.php", 
                "prefix": "wikibooks", 
                "url": "https://en.wikibooks.org/wiki/$1"
            }, 
            {
                "api": "https://www.wikidata.org/w/api.php", 
                "prefix": "wikidata", 
                "url": "https://www.wikidata.org/wiki/$1"
            }, 
            {
                "prefix": "wikif1", 
                "url": "http://www.wikif1.org/$1"
            }, 
            {
                "api": "http://www.wikihow.com/api.php", 
                "prefix": "wikihow", 
                "url": "http://www.wikihow.com/$1"
            }, 
            {
                "api": "https://wikimediafoundation.org/w/api.php", 
                "prefix": "wikimedia", 
                "url": "https://wikimediafoundation.org/wiki/$1"
            }, 
            {
                "api": "https://en.wikinews.org/w/api.php", 
                "prefix": "wikinews", 
                "url": "https://en.wikinews.org/wiki/$1"
            }, 
            {
                "prefix": "wikinfo", 
                "url": "http://wikinfo.co/English/index.php/$1"
            }, 
            {
                "api": "https://en.wikipedia.org/w/api.php", 
                "prefix": "wikipedia", 
                "url": "https://en.wikipedia.org/wiki/$1"
            }, 
            {
                "api": "https://en.wikiquote.org/w/api.php", 
                "prefix": "wikiquote", 
                "url": "https://en.wikiquote.org/wiki/$1"
            }, 
            {
                "api": "https://wikisource.org/w/api.php", 
                "prefix": "wikisource", 
                "url": "https://wikisource.org/wiki/$1"
            }, 
            {
                "api": "https://species.wikimedia.org/w/api.php", 
                "prefix": "wikispecies", 
                "url": "https://species.wikimedia.org/wiki/$1"
            }, 
            {
                "api": "https://en.wikiversity.org/w/api.php", 
                "prefix": "wikiversity", 
                "url": "https://en.wikiversity.org/wiki/$1"
            }, 
            {
                "api": "https://en.wikivoyage.org/w/api.php", 
                "prefix": "wikivoyage", 
                "url": "https://en.wikivoyage.org/wiki/$1"
            }, 
            {
                "api": "https://en.wiktionary.org/w/api.php", 
                "prefix": "wikt", 
                "url": "https://en.wiktionary.org/wiki/$1"
            }, 
            {
                "api": "https://en.wiktionary.org/w/api.php", 
                "prefix": "wiktionary", 
                "url": "https://en.wiktionary.org/wiki/$1"
            }
        ], 
        "magicwords": [
            {
                "aliases": [
                    "NUMBEROFCOMMENTS"
                ], 
                "name": "NUMBEROFCOMMENTS"
            }, 
            {
                "aliases": [
                    "NUMBEROFCOMMENTSPAGE"
                ], 
                "name": "NUMBEROFCOMMENTSPAGE"
            }, 
            {
                "aliases": [
                    "NUMBEROFVOTES"
                ], 
                "name": "NUMBEROFVOTES"
            }, 
            {
                "aliases": [
                    "NUMBEROFVOTESPAGE"
                ], 
                "name": "NUMBEROFVOTESPAGE"
            }, 
            {
                "aliases": [
                    "avatar"
                ], 
                "name": "avatar"
            }, 
            {
                "aliases": [
                    "widget"
                ], 
                "name": "widget"
            }, 
            {
                "aliases": [
                    "#REDIRECT"
                ], 
                "name": "redirect"
            }, 
            {
                "aliases": [
                    "__NOTOC__"
                ], 
                "name": "notoc"
            }, 
            {
                "aliases": [
                    "__NOGALLERY__"
                ], 
                "name": "nogallery"
            }, 
            {
                "aliases": [
                    "__FORCETOC__"
                ], 
                "name": "forcetoc"
            }, 
            {
                "aliases": [
                    "__TOC__"
                ], 
                "name": "toc"
            }, 
            {
                "aliases": [
                    "__NOEDITSECTION__"
                ], 
                "name": "noeditsection"
            }, 
            {
                "aliases": [
                    "!"
                ], 
                "case-sensitive": "", 
                "name": "!"
            }, 
            {
                "aliases": [
                    "CURRENTMONTH", 
                    "CURRENTMONTH2"
                ], 
                "case-sensitive": "", 
                "name": "currentmonth"
            }, 
            {
                "aliases": [
                    "CURRENTMONTH1"
                ], 
                "case-sensitive": "", 
                "name": "currentmonth1"
            }, 
            {
                "aliases": [
                    "CURRENTMONTHNAME"
                ], 
                "case-sensitive": "", 
                "name": "currentmonthname"
            }, 
            {
                "aliases": [
                    "CURRENTMONTHNAMEGEN"
                ], 
                "case-sensitive": "", 
                "name": "currentmonthnamegen"
            }, 
            {
                "aliases": [
                    "CURRENTMONTHABBREV"
                ], 
                "case-sensitive": "", 
                "name": "currentmonthabbrev"
            }, 
            {
                "aliases": [
                    "CURRENTDAY"
                ], 
                "case-sensitive": "", 
                "name": "currentday"
            }, 
            {
                "aliases": [
                    "CURRENTDAY2"
                ], 
                "case-sensitive": "", 
                "name": "currentday2"
            }, 
            {
                "aliases": [
                    "CURRENTDAYNAME"
                ], 
                "case-sensitive": "", 
                "name": "currentdayname"
            }, 
            {
                "aliases": [
                    "CURRENTYEAR"
                ], 
                "case-sensitive": "", 
                "name": "currentyear"
            }, 
            {
                "aliases": [
                    "CURRENTTIME"
                ], 
                "case-sensitive": "", 
                "name": "currenttime"
            }, 
            {
                "aliases": [
                    "CURRENTHOUR"
                ], 
                "case-sensitive": "", 
                "name": "currenthour"
            }, 
            {
                "aliases": [
                    "LOCALMONTH", 
                    "LOCALMONTH2"
                ], 
                "case-sensitive": "", 
                "name": "localmonth"
            }, 
            {
                "aliases": [
                    "LOCALMONTH1"
                ], 
                "case-sensitive": "", 
                "name": "localmonth1"
            }, 
            {
                "aliases": [
                    "LOCALMONTHNAME"
                ], 
                "case-sensitive": "", 
                "name": "localmonthname"
            }, 
            {
                "aliases": [
                    "LOCALMONTHNAMEGEN"
                ], 
                "case-sensitive": "", 
                "name": "localmonthnamegen"
            }, 
            {
                "aliases": [
                    "LOCALMONTHABBREV"
                ], 
                "case-sensitive": "", 
                "name": "localmonthabbrev"
            }, 
            {
                "aliases": [
                    "LOCALDAY"
                ], 
                "case-sensitive": "", 
                "name": "localday"
            }, 
            {
                "aliases": [
                    "LOCALDAY2"
                ], 
                "case-sensitive": "", 
                "name": "localday2"
            }, 
            {
                "aliases": [
                    "LOCALDAYNAME"
                ], 
                "case-sensitive": "", 
                "name": "localdayname"
            }, 
            {
                "aliases": [
                    "LOCALYEAR"
                ], 
                "case-sensitive": "", 
                "name": "localyear"
            }, 
            {
                "aliases": [
                    "LOCALTIME"
                ], 
                "case-sensitive": "", 
                "name": "localtime"
            }, 
            {
                "aliases": [
                    "LOCALHOUR"
                ], 
                "case-sensitive": "", 
                "name": "localhour"
            }, 
            {
                "aliases": [
                    "NUMBEROFPAGES"
                ], 
                "case-sensitive": "", 
                "name": "numberofpages"
            }, 
            {
                "aliases": [
                    "NUMBEROFARTICLES"
                ], 
                "case-sensitive": "", 
                "name": "numberofarticles"
            }, 
            {
                "aliases": [
                    "NUMBEROFFILES"
                ], 
                "case-sensitive": "", 
                "name": "numberoffiles"
            }, 
            {
                "aliases": [
                    "NUMBEROFUSERS"
                ], 
                "case-sensitive": "", 
                "name": "numberofusers"
            }, 
            {
                "aliases": [
                    "NUMBEROFACTIVEUSERS"
                ], 
                "case-sensitive": "", 
                "name": "numberofactiveusers"
            }, 
            {
                "aliases": [
                    "NUMBEROFEDITS"
                ], 
                "case-sensitive": "", 
                "name": "numberofedits"
            }, 
            {
                "aliases": [
                    "PAGENAME"
                ], 
                "case-sensitive": "", 
                "name": "pagename"
            }, 
            {
                "aliases": [
                    "PAGENAMEE"
                ], 
                "case-sensitive": "", 
                "name": "pagenamee"
            }, 
            {
                "aliases": [
                    "NAMESPACE"
                ], 
                "case-sensitive": "", 
                "name": "namespace"
            }, 
            {
                "aliases": [
                    "NAMESPACEE"
                ], 
                "case-sensitive": "", 
                "name": "namespacee"
            }, 
            {
                "aliases": [
                    "NAMESPACENUMBER"
                ], 
                "case-sensitive": "", 
                "name": "namespacenumber"
            }, 
            {
                "aliases": [
                    "TALKSPACE"
                ], 
                "case-sensitive": "", 
                "name": "talkspace"
            }, 
            {
                "aliases": [
                    "TALKSPACEE"
                ], 
                "case-sensitive": "", 
                "name": "talkspacee"
            }, 
            {
                "aliases": [
                    "SUBJECTSPACE", 
                    "ARTICLESPACE"
                ], 
                "case-sensitive": "", 
                "name": "subjectspace"
            }, 
            {
                "aliases": [
                    "SUBJECTSPACEE", 
                    "ARTICLESPACEE"
                ], 
                "case-sensitive": "", 
                "name": "subjectspacee"
            }, 
            {
                "aliases": [
                    "FULLPAGENAME"
                ], 
                "case-sensitive": "", 
                "name": "fullpagename"
            }, 
            {
                "aliases": [
                    "FULLPAGENAMEE"
                ], 
                "case-sensitive": "", 
                "name": "fullpagenamee"
            }, 
            {
                "aliases": [
                    "SUBPAGENAME"
                ], 
                "case-sensitive": "", 
                "name": "subpagename"
            }, 
            {
                "aliases": [
                    "SUBPAGENAMEE"
                ], 
                "case-sensitive": "", 
                "name": "subpagenamee"
            }, 
            {
                "aliases": [
                    "ROOTPAGENAME"
                ], 
                "case-sensitive": "", 
                "name": "rootpagename"
            }, 
            {
                "aliases": [
                    "ROOTPAGENAMEE"
                ], 
                "case-sensitive": "", 
                "name": "rootpagenamee"
            }, 
            {
                "aliases": [
                    "BASEPAGENAME"
                ], 
                "case-sensitive": "", 
                "name": "basepagename"
            }, 
            {
                "aliases": [
                    "BASEPAGENAMEE"
                ], 
                "case-sensitive": "", 
                "name": "basepagenamee"
            }, 
            {
                "aliases": [
                    "TALKPAGENAME"
                ], 
                "case-sensitive": "", 
                "name": "talkpagename"
            }, 
            {
                "aliases": [
                    "TALKPAGENAMEE"
                ], 
                "case-sensitive": "", 
                "name": "talkpagenamee"
            }, 
            {
                "aliases": [
                    "SUBJECTPAGENAME", 
                    "ARTICLEPAGENAME"
                ], 
                "case-sensitive": "", 
                "name": "subjectpagename"
            }, 
            {
                "aliases": [
                    "SUBJECTPAGENAMEE", 
                    "ARTICLEPAGENAMEE"
                ], 
                "case-sensitive": "", 
                "name": "subjectpagenamee"
            }, 
            {
                "aliases": [
                    "MSG:"
                ], 
                "name": "msg"
            }, 
            {
                "aliases": [
                    "SUBST:"
                ], 
                "name": "subst"
            }, 
            {
                "aliases": [
                    "SAFESUBST:"
                ], 
                "name": "safesubst"
            }, 
            {
                "aliases": [
                    "MSGNW:"
                ], 
                "name": "msgnw"
            }, 
            {
                "aliases": [
                    "thumb", 
                    "thumbnail"
                ], 
                "case-sensitive": "", 
                "name": "img_thumbnail"
            }, 
            {
                "aliases": [
                    "thumbnail=$1", 
                    "thumb=$1"
                ], 
                "case-sensitive": "", 
                "name": "img_manualthumb"
            }, 
            {
                "aliases": [
                    "right"
                ], 
                "case-sensitive": "", 
                "name": "img_right"
            }, 
            {
                "aliases": [
                    "left"
                ], 
                "case-sensitive": "", 
                "name": "img_left"
            }, 
            {
                "aliases": [
                    "none"
                ], 
                "case-sensitive": "", 
                "name": "img_none"
            }, 
            {
                "aliases": [
                    "$1px"
                ], 
                "case-sensitive": "", 
                "name": "img_width"
            }, 
            {
                "aliases": [
                    "center", 
                    "centre"
                ], 
                "case-sensitive": "", 
                "name": "img_center"
            }, 
            {
                "aliases": [
                    "frame", 
                    "framed", 
                    "enframed"
                ], 
                "case-sensitive": "", 
                "name": "img_framed"
            }, 
            {
                "aliases": [
                    "frameless"
                ], 
                "case-sensitive": "", 
                "name": "img_frameless"
            }, 
            {
                "aliases": [
                    "lang=$1"
                ], 
                "case-sensitive": "", 
                "name": "img_lang"
            }, 
            {
                "aliases": [
                    "page=$1", 
                    "page $1"
                ], 
                "case-sensitive": "", 
                "name": "img_page"
            }, 
            {
                "aliases": [
                    "upright", 
                    "upright=$1", 
                    "upright $1"
                ], 
                "case-sensitive": "", 
                "name": "img_upright"
            }, 
            {
                "aliases": [
                    "border"
                ], 
                "case-sensitive": "", 
                "name": "img_border"
            }, 
            {
                "aliases": [
                    "baseline"
                ], 
                "case-sensitive": "", 
                "name": "img_baseline"
            }, 
            {
                "aliases": [
                    "sub"
                ], 
                "case-sensitive": "", 
                "name": "img_sub"
            }, 
            {
                "aliases": [
                    "super", 
                    "sup"
                ], 
                "case-sensitive": "", 
                "name": "img_super"
            }, 
            {
                "aliases": [
                    "top"
                ], 
                "case-sensitive": "", 
                "name": "img_top"
            }, 
            {
                "aliases": [
                    "text-top"
                ], 
                "case-sensitive": "", 
                "name": "img_text_top"
            }, 
            {
                "aliases": [
                    "middle"
                ], 
                "case-sensitive": "", 
                "name": "img_middle"
            }, 
            {
                "aliases": [
                    "bottom"
                ], 
                "case-sensitive": "", 
                "name": "img_bottom"
            }, 
            {
                "aliases": [
                    "text-bottom"
                ], 
                "case-sensitive": "", 
                "name": "img_text_bottom"
            }, 
            {
                "aliases": [
                    "link=$1"
                ], 
                "case-sensitive": "", 
                "name": "img_link"
            }, 
            {
                "aliases": [
                    "alt=$1"
                ], 
                "case-sensitive": "", 
                "name": "img_alt"
            }, 
            {
                "aliases": [
                    "class=$1"
                ], 
                "case-sensitive": "", 
                "name": "img_class"
            }, 
            {
                "aliases": [
                    "INT:"
                ], 
                "name": "int"
            }, 
            {
                "aliases": [
                    "SITENAME"
                ], 
                "case-sensitive": "", 
                "name": "sitename"
            }, 
            {
                "aliases": [
                    "NS:"
                ], 
                "name": "ns"
            }, 
            {
                "aliases": [
                    "NSE:"
                ], 
                "name": "nse"
            }, 
            {
                "aliases": [
                    "LOCALURL:"
                ], 
                "name": "localurl"
            }, 
            {
                "aliases": [
                    "LOCALURLE:"
                ], 
                "name": "localurle"
            }, 
            {
                "aliases": [
                    "ARTICLEPATH"
                ], 
                "name": "articlepath"
            }, 
            {
                "aliases": [
                    "PAGEID"
                ], 
                "name": "pageid"
            }, 
            {
                "aliases": [
                    "SERVER"
                ], 
                "name": "server"
            }, 
            {
                "aliases": [
                    "SERVERNAME"
                ], 
                "name": "servername"
            }, 
            {
                "aliases": [
                    "SCRIPTPATH"
                ], 
                "name": "scriptpath"
            }, 
            {
                "aliases": [
                    "STYLEPATH"
                ], 
                "name": "stylepath"
            }, 
            {
                "aliases": [
                    "GRAMMAR:"
                ], 
                "name": "grammar"
            }, 
            {
                "aliases": [
                    "GENDER:"
                ], 
                "name": "gender"
            }, 
            {
                "aliases": [
                    "BIDI:"
                ], 
                "name": "bidi"
            }, 
            {
                "aliases": [
                    "__NOTITLECONVERT__", 
                    "__NOTC__"
                ], 
                "name": "notitleconvert"
            }, 
            {
                "aliases": [
                    "__NOCONTENTCONVERT__", 
                    "__NOCC__"
                ], 
                "name": "nocontentconvert"
            }, 
            {
                "aliases": [
                    "CURRENTWEEK"
                ], 
                "case-sensitive": "", 
                "name": "currentweek"
            }, 
            {
                "aliases": [
                    "CURRENTDOW"
                ], 
                "case-sensitive": "", 
                "name": "currentdow"
            }, 
            {
                "aliases": [
                    "LOCALWEEK"
                ], 
                "case-sensitive": "", 
                "name": "localweek"
            }, 
            {
                "aliases": [
                    "LOCALDOW"
                ], 
                "case-sensitive": "", 
                "name": "localdow"
            }, 
            {
                "aliases": [
                    "REVISIONID"
                ], 
                "case-sensitive": "", 
                "name": "revisionid"
            }, 
            {
                "aliases": [
                    "REVISIONDAY"
                ], 
                "case-sensitive": "", 
                "name": "revisionday"
            }, 
            {
                "aliases": [
                    "REVISIONDAY2"
                ], 
                "case-sensitive": "", 
                "name": "revisionday2"
            }, 
            {
                "aliases": [
                    "REVISIONMONTH"
                ], 
                "case-sensitive": "", 
                "name": "revisionmonth"
            }, 
            {
                "aliases": [
                    "REVISIONMONTH1"
                ], 
                "case-sensitive": "", 
                "name": "revisionmonth1"
            }, 
            {
                "aliases": [
                    "REVISIONYEAR"
                ], 
                "case-sensitive": "", 
                "name": "revisionyear"
            }, 
            {
                "aliases": [
                    "REVISIONTIMESTAMP"
                ], 
                "case-sensitive": "", 
                "name": "revisiontimestamp"
            }, 
            {
                "aliases": [
                    "REVISIONUSER"
                ], 
                "case-sensitive": "", 
                "name": "revisionuser"
            }, 
            {
                "aliases": [
                    "REVISIONSIZE"
                ], 
                "case-sensitive": "", 
                "name": "revisionsize"
            }, 
            {
                "aliases": [
                    "PLURAL:"
                ], 
                "name": "plural"
            }, 
            {
                "aliases": [
                    "FULLURL:"
                ], 
                "name": "fullurl"
            }, 
            {
                "aliases": [
                    "FULLURLE:"
                ], 
                "name": "fullurle"
            }, 
            {
                "aliases": [
                    "CANONICALURL:"
                ], 
                "name": "canonicalurl"
            }, 
            {
                "aliases": [
                    "CANONICALURLE:"
                ], 
                "name": "canonicalurle"
            }, 
            {
                "aliases": [
                    "LCFIRST:"
                ], 
                "name": "lcfirst"
            }, 
            {
                "aliases": [
                    "UCFIRST:"
                ], 
                "name": "ucfirst"
            }, 
            {
                "aliases": [
                    "LC:"
                ], 
                "name": "lc"
            }, 
            {
                "aliases": [
                    "UC:"
                ], 
                "name": "uc"
            }, 
            {
                "aliases": [
                    "RAW:"
                ], 
                "name": "raw"
            }, 
            {
                "aliases": [
                    "DISPLAYTITLE"
                ], 
                "case-sensitive": "", 
                "name": "displaytitle"
            }, 
            {
                "aliases": [
                    "R"
                ], 
                "case-sensitive": "", 
                "name": "rawsuffix"
            }, 
            {
                "aliases": [
                    "NOSEP"
                ], 
                "name": "nocommafysuffix"
            }, 
            {
                "aliases": [
                    "__NEWSECTIONLINK__"
                ], 
                "case-sensitive": "", 
                "name": "newsectionlink"
            }, 
            {
                "aliases": [
                    "__NONEWSECTIONLINK__"
                ], 
                "case-sensitive": "", 
                "name": "nonewsectionlink"
            }, 
            {
                "aliases": [
                    "CURRENTVERSION"
                ], 
                "case-sensitive": "", 
                "name": "currentversion"
            }, 
            {
                "aliases": [
                    "URLENCODE:"
                ], 
                "name": "urlencode"
            }, 
            {
                "aliases": [
                    "ANCHORENCODE"
                ], 
                "name": "anchorencode"
            }, 
            {
                "aliases": [
                    "CURRENTTIMESTAMP"
                ], 
                "case-sensitive": "", 
                "name": "currenttimestamp"
            }, 
            {
                "aliases": [
                    "LOCALTIMESTAMP"
                ], 
                "case-sensitive": "", 
                "name": "localtimestamp"
            }, 
            {
                "aliases": [
                    "DIRECTIONMARK", 
                    "DIRMARK"
                ], 
                "case-sensitive": "", 
                "name": "directionmark"
            }, 
            {
                "aliases": [
                    "#LANGUAGE:"
                ], 
                "name": "language"
            }, 
            {
                "aliases": [
                    "CONTENTLANGUAGE", 
                    "CONTENTLANG"
                ], 
                "case-sensitive": "", 
                "name": "contentlanguage"
            }, 
            {
                "aliases": [
                    "PAGELANGUAGE"
                ], 
                "case-sensitive": "", 
                "name": "pagelanguage"
            }, 
            {
                "aliases": [
                    "PAGESINNAMESPACE:", 
                    "PAGESINNS:"
                ], 
                "case-sensitive": "", 
                "name": "pagesinnamespace"
            }, 
            {
                "aliases": [
                    "NUMBEROFADMINS"
                ], 
                "case-sensitive": "", 
                "name": "numberofadmins"
            }, 
            {
                "aliases": [
                    "FORMATNUM"
                ], 
                "name": "formatnum"
            }, 
            {
                "aliases": [
                    "PADLEFT"
                ], 
                "name": "padleft"
            }, 
            {
                "aliases": [
                    "PADRIGHT"
                ], 
                "name": "padright"
            }, 
            {
                "aliases": [
                    "special"
                ], 
                "name": "special"
            }, 
            {
                "aliases": [
                    "speciale"
                ], 
                "name": "speciale"
            }, 
            {
                "aliases": [
                    "DEFAULTSORT:", 
                    "DEFAULTSORTKEY:", 
                    "DEFAULTCATEGORYSORT:"
                ], 
                "case-sensitive": "", 
                "name": "defaultsort"
            }, 
            {
                "aliases": [
                    "FILEPATH:"
                ], 
                "name": "filepath"
            }, 
            {
                "aliases": [
                    "tag"
                ], 
                "name": "tag"
            }, 
            {
                "aliases": [
                    "__HIDDENCAT__"
                ], 
                "case-sensitive": "", 
                "name": "hiddencat"
            }, 
            {
                "aliases": [
                    "PAGESINCATEGORY", 
                    "PAGESINCAT"
                ], 
                "case-sensitive": "", 
                "name": "pagesincategory"
            }, 
            {
                "aliases": [
                    "PAGESIZE"
                ], 
                "case-sensitive": "", 
                "name": "pagesize"
            }, 
            {
                "aliases": [
                    "__INDEX__"
                ], 
                "case-sensitive": "", 
                "name": "index"
            }, 
            {
                "aliases": [
                    "__NOINDEX__"
                ], 
                "case-sensitive": "", 
                "name": "noindex"
            }, 
            {
                "aliases": [
                    "NUMBERINGROUP", 
                    "NUMINGROUP"
                ], 
                "case-sensitive": "", 
                "name": "numberingroup"
            }, 
            {
                "aliases": [
                    "__STATICREDIRECT__"
                ], 
                "case-sensitive": "", 
                "name": "staticredirect"
            }, 
            {
                "aliases": [
                    "PROTECTIONLEVEL"
                ], 
                "case-sensitive": "", 
                "name": "protectionlevel"
            }, 
            {
                "aliases": [
                    "PROTECTIONEXPIRY"
                ], 
                "case-sensitive": "", 
                "name": "protectionexpiry"
            }, 
            {
                "aliases": [
                    "CASCADINGSOURCES"
                ], 
                "case-sensitive": "", 
                "name": "cascadingsources"
            }, 
            {
                "aliases": [
                    "formatdate", 
                    "dateformat"
                ], 
                "name": "formatdate"
            }, 
            {
                "aliases": [
                    "PATH"
                ], 
                "name": "url_path"
            }, 
            {
                "aliases": [
                    "WIKI"
                ], 
                "name": "url_wiki"
            }, 
            {
                "aliases": [
                    "QUERY"
                ], 
                "name": "url_query"
            }, 
            {
                "aliases": [
                    "noerror"
                ], 
                "name": "defaultsort_noerror"
            }, 
            {
                "aliases": [
                    "noreplace"
                ], 
                "name": "defaultsort_noreplace"
            }, 
            {
                "aliases": [
                    "noerror"
                ], 
                "name": "displaytitle_noerror"
            }, 
            {
                "aliases": [
                    "noreplace"
                ], 
                "name": "displaytitle_noreplace"
            }, 
            {
                "aliases": [
                    "all"
                ], 
                "name": "pagesincategory_all"
            }, 
            {
                "aliases": [
                    "pages"
                ], 
                "name": "pagesincategory_pages"
            }, 
            {
                "aliases": [
                    "subcats"
                ], 
                "name": "pagesincategory_subcats"
            }, 
            {
                "aliases": [
                    "files"
                ], 
                "name": "pagesincategory_files"
            }
        ], 
        "namespacealiases": [
            {
                "*": "Image", 
                "id": 6
            }, 
            {
                "*": "Image talk", 
                "id": 7
            }
        ], 
        "namespaces": {
            "-1": {
                "*": "Special", 
                "canonical": "Special", 
                "case": "first-letter", 
                "id": -1
            }, 
            "-2": {
                "*": "Media", 
                "canonical": "Media", 
                "case": "first-letter", 
                "id": -2
            }, 
            "0": {
                "*": "", 
                "case": "first-letter", 
                "content": "", 
                "id": 0
            }, 
            "1": {
                "*": "Talk", 
                "canonical": "Talk", 
                "case": "first-letter", 
                "id": 1, 
                "subpages": ""
            }, 
            "10": {
                "*": "Template", 
                "canonical": "Template", 
                "case": "first-letter", 
                "id": 10, 
                "subpages": ""
            }, 
            "11": {
                "*": "Template talk", 
                "canonical": "Template talk", 
                "case": "first-letter", 
                "id": 11, 
                "subpages": ""
            }, 
            "12": {
                "*": "Help", 
                "canonical": "Help", 
                "case": "first-letter", 
                "id": 12, 
                "subpages": ""
            }, 
            "13": {
                "*": "Help talk", 
                "canonical": "Help talk", 
                "case": "first-letter", 
                "id": 13, 
                "subpages": ""
            }, 
            "14": {
                "*": "Category", 
                "canonical": "Category", 
                "case": "first-letter", 
                "id": 14
            }, 
            "15": {
                "*": "Category talk", 
                "canonical": "Category talk", 
                "case": "first-letter", 
                "id": 15, 
                "subpages": ""
            }, 
            "2": {
                "*": "User", 
                "canonical": "User", 
                "case": "first-letter", 
                "id": 2, 
                "subpages": ""
            }, 
            "200": {
                "*": "UserWiki", 
                "canonical": "UserWiki", 
                "case": "first-letter", 
                "id": 200
            }, 
            "201": {
                "*": "UserWiki talk", 
                "canonical": "UserWiki talk", 
                "case": "first-letter", 
                "id": 201
            }, 
            "202": {
                "*": "User profile", 
                "canonical": "User profile", 
                "case": "first-letter", 
                "id": 202
            }, 
            "203": {
                "*": "User profile talk", 
                "canonical": "User profile talk", 
                "case": "first-letter", 
                "id": 203
            }, 
            "274": {
                "*": "Widget", 
                "canonical": "Widget", 
                "case": "first-letter", 
                "id": 274
            }, 
            "275": {
                "*": "Widget talk", 
                "canonical": "Widget talk", 
                "case": "first-letter", 
                "id": 275, 
                "subpages": ""
            }, 
            "3": {
                "*": "User talk", 
                "canonical": "User talk", 
                "case": "first-letter", 
                "id": 3, 
                "subpages": ""
            }, 
            "300": {
                "*": "Poll", 
                "canonical": "Poll", 
                "case": "first-letter", 
                "id": 300
            }, 
            "301": {
                "*": "Poll talk", 
                "canonical": "Poll talk", 
                "case": "first-letter", 
                "id": 301
            }, 
            "4": {
                "*": "The MegaTF/TeamFortress Wiki!", 
                "canonical": "Project", 
                "case": "first-letter", 
                "id": 4, 
                "subpages": ""
            }, 
            "5": {
                "*": "The MegaTF/TeamFortress Wiki! talk", 
                "canonical": "Project talk", 
                "case": "first-letter", 
                "id": 5, 
                "subpages": ""
            }, 
            "500": {
                "*": "Blog", 
                "canonical": "Blog", 
                "case": "first-letter", 
                "id": 500
            }, 
            "501": {
                "*": "Blog talk", 
                "canonical": "Blog talk", 
                "case": "first-letter", 
                "id": 501
            }, 
            "6": {
                "*": "File", 
                "canonical": "File", 
                "case": "first-letter", 
                "id": 6
            }, 
            "7": {
                "*": "File talk", 
                "canonical": "File talk", 
                "case": "first-letter", 
                "id": 7, 
                "subpages": ""
            }, 
            "8": {
                "*": "MediaWiki", 
                "canonical": "MediaWiki", 
                "case": "first-letter", 
                "id": 8, 
                "subpages": ""
            }, 
            "9": {
                "*": "MediaWiki talk", 
                "canonical": "MediaWiki talk", 
                "case": "first-letter", 
                "id": 9, 
                "subpages": ""
            }
        }, 
        "rightsinfo": {
            "text": "", 
            "url": ""
        }, 
        "skins": [
            {
                "*": "Cologne Blue", 
                "code": "cologneblue"
            }, 
            {
                "*": "Modern", 
                "code": "modern"
            }, 
            {
                "*": "MonoBook", 
                "code": "monobook"
            }, 
            {
                "*": "Vector", 
                "code": "vector"
            }, 
            {
                "*": "DarkVector", 
                "code": "darkvector", 
                "default": ""
            }, 
            {
                "*": "Gamepress", 
                "code": "gamepress"
            }, 
            {
                "*": "Jony", 
                "code": "jony"
            }, 
            {
                "*": "Fallback", 
                "code": "fallback", 
                "unusable": ""
            }, 
            {
                "*": "ApiOutput", 
                "code": "apioutput", 
                "unusable": ""
            }
        ], 
        "specialpagealiases": [
            {
                "aliases": [
                    "BrokenRedirects"
                ], 
                "realname": "BrokenRedirects"
            }, 
            {
                "aliases": [
                    "DeadendPages"
                ], 
                "realname": "Deadendpages"
            }, 
            {
                "aliases": [
                    "DoubleRedirects"
                ], 
                "realname": "DoubleRedirects"
            }, 
            {
                "aliases": [
                    "LongPages"
                ], 
                "realname": "Longpages"
            }, 
            {
                "aliases": [
                    "AncientPages"
                ], 
                "realname": "Ancientpages"
            }, 
            {
                "aliases": [
                    "LonelyPages", 
                    "OrphanedPages"
                ], 
                "realname": "Lonelypages"
            }, 
            {
                "aliases": [
                    "FewestRevisions"
                ], 
                "realname": "Fewestrevisions"
            }, 
            {
                "aliases": [
                    "WithoutInterwiki"
                ], 
                "realname": "Withoutinterwiki"
            }, 
            {
                "aliases": [
                    "ProtectedPages"
                ], 
                "realname": "Protectedpages"
            }, 
            {
                "aliases": [
                    "ProtectedTitles"
                ], 
                "realname": "Protectedtitles"
            }, 
            {
                "aliases": [
                    "ShortPages"
                ], 
                "realname": "Shortpages"
            }, 
            {
                "aliases": [
                    "UncategorizedCategories"
                ], 
                "realname": "Uncategorizedcategories"
            }, 
            {
                "aliases": [
                    "UncategorizedFiles", 
                    "UncategorizedImages"
                ], 
                "realname": "Uncategorizedimages"
            }, 
            {
                "aliases": [
                    "UncategorizedPages"
                ], 
                "realname": "Uncategorizedpages"
            }, 
            {
                "aliases": [
                    "UncategorizedTemplates"
                ], 
                "realname": "Uncategorizedtemplates"
            }, 
            {
                "aliases": [
                    "UnusedCategories"
                ], 
                "realname": "Unusedcategories"
            }, 
            {
                "aliases": [
                    "UnusedFiles", 
                    "UnusedImages"
                ], 
                "realname": "Unusedimages"
            }, 
            {
                "aliases": [
                    "UnusedTemplates"
                ], 
                "realname": "Unusedtemplates"
            }, 
            {
                "aliases": [
                    "UnwatchedPages"
                ], 
                "realname": "Unwatchedpages"
            }, 
            {
                "aliases": [
                    "WantedCategories"
                ], 
                "realname": "Wantedcategories"
            }, 
            {
                "aliases": [
                    "WantedFiles"
                ], 
                "realname": "Wantedfiles"
            }, 
            {
                "aliases": [
                    "WantedPages", 
                    "BrokenLinks"
                ], 
                "realname": "Wantedpages"
            }, 
            {
                "aliases": [
                    "WantedTemplates"
                ], 
                "realname": "Wantedtemplates"
            }, 
            {
                "aliases": [
                    "AllPages"
                ], 
                "realname": "Allpages"
            }, 
            {
                "aliases": [
                    "PrefixIndex"
                ], 
                "realname": "Prefixindex"
            }, 
            {
                "aliases": [
                    "Categories"
                ], 
                "realname": "Categories"
            }, 
            {
                "aliases": [
                    "ListRedirects"
                ], 
                "realname": "Listredirects"
            }, 
            {
                "aliases": [
                    "PagesWithProp", 
                    "Pageswithprop", 
                    "PagesByProp", 
                    "Pagesbyprop"
                ], 
                "realname": "PagesWithProp"
            }, 
            {
                "aliases": [
                    "TrackingCategories"
                ], 
                "realname": "TrackingCategories"
            }, 
            {
                "aliases": [
                    "UserLogin", 
                    "Login"
                ], 
                "realname": "Userlogin"
            }, 
            {
                "aliases": [
                    "UserLogout", 
                    "Logout"
                ], 
                "realname": "Userlogout"
            }, 
            {
                "aliases": [
                    "CreateAccount"
                ], 
                "realname": "CreateAccount"
            }, 
            {
                "aliases": [
                    "LinkAccounts"
                ], 
                "realname": "LinkAccounts"
            }, 
            {
                "aliases": [
                    "UnlinkAccounts"
                ], 
                "realname": "UnlinkAccounts"
            }, 
            {
                "aliases": [
                    "ChangeCredentials"
                ], 
                "realname": "ChangeCredentials"
            }, 
            {
                "aliases": [
                    "RemoveCredentials"
                ], 
                "realname": "RemoveCredentials"
            }, 
            {
                "aliases": [
                    "ActiveUsers"
                ], 
                "realname": "Activeusers"
            }, 
            {
                "aliases": [
                    "Block", 
                    "BlockIP", 
                    "BlockUser"
                ], 
                "realname": "Block"
            }, 
            {
                "aliases": [
                    "Unblock"
                ], 
                "realname": "Unblock"
            }, 
            {
                "aliases": [
                    "BlockList", 
                    "ListBlocks", 
                    "IPBlockList"
                ], 
                "realname": "BlockList"
            }, 
            {
                "aliases": [
                    "AutoblockList", 
                    "ListAutoblocks"
                ], 
                "realname": "AutoblockList"
            }, 
            {
                "aliases": [
                    "ChangePassword", 
                    "ResetPass", 
                    "ResetPassword"
                ], 
                "realname": "ChangePassword"
            }, 
            {
                "aliases": [
                    "BotPasswords"
                ], 
                "realname": "BotPasswords"
            }, 
            {
                "aliases": [
                    "PasswordReset"
                ], 
                "realname": "PasswordReset"
            }, 
            {
                "aliases": [
                    "DeletedContributions"
                ], 
                "realname": "DeletedContributions"
            }, 
            {
                "aliases": [
                    "Preferences"
                ], 
                "realname": "Preferences"
            }, 
            {
                "aliases": [
                    "ResetTokens"
                ], 
                "realname": "ResetTokens"
            }, 
            {
                "aliases": [
                    "Contributions", 
                    "Contribs"
                ], 
                "realname": "Contributions"
            }, 
            {
                "aliases": [
                    "ListGroupRights", 
                    "UserGroupRights"
                ], 
                "realname": "Listgrouprights"
            }, 
            {
                "aliases": [
                    "ListGrants"
                ], 
                "realname": "Listgrants"
            }, 
            {
                "aliases": [
                    "ListUsers", 
                    "UserList"
                ], 
                "realname": "Listusers"
            }, 
            {
                "aliases": [
                    "ListAdmins"
                ], 
                "realname": "Listadmins"
            }, 
            {
                "aliases": [
                    "ListBots"
                ], 
                "realname": "Listbots"
            }, 
            {
                "aliases": [
                    "UserRights", 
                    "MakeSysop", 
                    "MakeBot"
                ], 
                "realname": "Userrights"
            }, 
            {
                "aliases": [
                    "EditWatchlist"
                ], 
                "realname": "EditWatchlist"
            }, 
            {
                "aliases": [
                    "PasswordPolicies"
                ], 
                "realname": "PasswordPolicies"
            }, 
            {
                "aliases": [
                    "NewFiles", 
                    "NewImages"
                ], 
                "realname": "Newimages"
            }, 
            {
                "aliases": [
                    "Log", 
                    "Logs"
                ], 
                "realname": "Log"
            }, 
            {
                "aliases": [
                    "Watchlist"
                ], 
                "realname": "Watchlist"
            }, 
            {
                "aliases": [
                    "NewPages"
                ], 
                "realname": "Newpages"
            }, 
            {
                "aliases": [
                    "RecentChanges"
                ], 
                "realname": "Recentchanges"
            }, 
            {
                "aliases": [
                    "RecentChangesLinked", 
                    "RelatedChanges"
                ], 
                "realname": "Recentchangeslinked"
            }, 
            {
                "aliases": [
                    "Tags"
                ], 
                "realname": "Tags"
            }, 
            {
                "aliases": [
                    "ListFiles", 
                    "FileList", 
                    "ImageList"
                ], 
                "realname": "Listfiles"
            }, 
            {
                "aliases": [
                    "FilePath"
                ], 
                "realname": "Filepath"
            }, 
            {
                "aliases": [
                    "MediaStatistics"
                ], 
                "realname": "MediaStatistics"
            }, 
            {
                "aliases": [
                    "MIMESearch"
                ], 
                "realname": "MIMEsearch"
            }, 
            {
                "aliases": [
                    "FileDuplicateSearch"
                ], 
                "realname": "FileDuplicateSearch"
            }, 
            {
                "aliases": [
                    "Upload"
                ], 
                "realname": "Upload"
            }, 
            {
                "aliases": [
                    "UploadStash"
                ], 
                "realname": "UploadStash"
            }, 
            {
                "aliases": [
                    "ListDuplicatedFiles", 
                    "ListFileDuplicates"
                ], 
                "realname": "ListDuplicatedFiles"
            }, 
            {
                "aliases": [
                    "ApiSandbox"
                ], 
                "realname": "ApiSandbox"
            }, 
            {
                "aliases": [
                    "Statistics", 
                    "Stats"
                ], 
                "realname": "Statistics"
            }, 
            {
                "aliases": [
                    "AllMessages"
                ], 
                "realname": "Allmessages"
            }, 
            {
                "aliases": [
                    "Version"
                ], 
                "realname": "Version"
            }, 
            {
                "aliases": [
                    "LockDB"
                ], 
                "realname": "Lockdb"
            }, 
            {
                "aliases": [
                    "UnlockDB"
                ], 
                "realname": "Unlockdb"
            }, 
            {
                "aliases": [
                    "LinkSearch"
                ], 
                "realname": "LinkSearch"
            }, 
            {
                "aliases": [
                    "Random", 
                    "RandomPage"
                ], 
                "realname": "Randompage"
            }, 
            {
                "aliases": [
                    "RandomInCategory"
                ], 
                "realname": "RandomInCategory"
            }, 
            {
                "aliases": [
                    "RandomRedirect"
                ], 
                "realname": "Randomredirect"
            }, 
            {
                "aliases": [
                    "RandomRootpage"
                ], 
                "realname": "Randomrootpage"
            }, 
            {
                "aliases": [
                    "GoToInterwiki"
                ], 
                "realname": "GoToInterwiki"
            }, 
            {
                "aliases": [
                    "MostLinkedCategories", 
                    "MostUsedCategories"
                ], 
                "realname": "Mostlinkedcategories"
            }, 
            {
                "aliases": [
                    "MostLinkedFiles", 
                    "MostFiles", 
                    "MostImages"
                ], 
                "realname": "Mostimages"
            }, 
            {
                "aliases": [
                    "MostInterwikis"
                ], 
                "realname": "Mostinterwikis"
            }, 
            {
                "aliases": [
                    "MostLinkedPages", 
                    "MostLinked"
                ], 
                "realname": "Mostlinked"
            }, 
            {
                "aliases": [
                    "MostTranscludedPages", 
                    "MostLinkedTemplates", 
                    "MostUsedTemplates"
                ], 
                "realname": "Mostlinkedtemplates"
            }, 
            {
                "aliases": [
                    "MostCategories"
                ], 
                "realname": "Mostcategories"
            }, 
            {
                "aliases": [
                    "MostRevisions"
                ], 
                "realname": "Mostrevisions"
            }, 
            {
                "aliases": [
                    "ComparePages"
                ], 
                "realname": "ComparePages"
            }, 
            {
                "aliases": [
                    "Export"
                ], 
                "realname": "Export"
            }, 
            {
                "aliases": [
                    "Import"
                ], 
                "realname": "Import"
            }, 
            {
                "aliases": [
                    "Undelete"
                ], 
                "realname": "Undelete"
            }, 
            {
                "aliases": [
                    "WhatLinksHere"
                ], 
                "realname": "Whatlinkshere"
            }, 
            {
                "aliases": [
                    "MergeHistory"
                ], 
                "realname": "MergeHistory"
            }, 
            {
                "aliases": [
                    "ExpandTemplates"
                ], 
                "realname": "ExpandTemplates"
            }, 
            {
                "aliases": [
                    "BookSources"
                ], 
                "realname": "Booksources"
            }, 
            {
                "aliases": [
                    "ApiHelp"
                ], 
                "realname": "ApiHelp"
            }, 
            {
                "aliases": [
                    "BlankPage"
                ], 
                "realname": "Blankpage"
            }, 
            {
                "aliases": [
                    "Diff"
                ], 
                "realname": "Diff"
            }, 
            {
                "aliases": [
                    "EditTags"
                ], 
                "realname": "EditTags"
            }, 
            {
                "aliases": [
                    "EmailUser", 
                    "Email"
                ], 
                "realname": "Emailuser"
            }, 
            {
                "aliases": [
                    "MovePage"
                ], 
                "realname": "Movepage"
            }, 
            {
                "aliases": [
                    "MyContributions"
                ], 
                "realname": "Mycontributions"
            }, 
            {
                "aliases": [
                    "MyLanguage"
                ], 
                "realname": "MyLanguage"
            }, 
            {
                "aliases": [
                    "MyPage"
                ], 
                "realname": "Mypage"
            }, 
            {
                "aliases": [
                    "MyTalk"
                ], 
                "realname": "Mytalk"
            }, 
            {
                "aliases": [
                    "MyUploads", 
                    "MyFiles"
                ], 
                "realname": "Myuploads"
            }, 
            {
                "aliases": [
                    "AllMyUploads", 
                    "AllMyFiles"
                ], 
                "realname": "AllMyUploads"
            }, 
            {
                "aliases": [
                    "PermanentLink", 
                    "PermaLink"
                ], 
                "realname": "PermanentLink"
            }, 
            {
                "aliases": [
                    "Redirect"
                ], 
                "realname": "Redirect"
            }, 
            {
                "aliases": [
                    "RevisionDelete"
                ], 
                "realname": "Revisiondelete"
            }, 
            {
                "aliases": [
                    "RunJobs"
                ], 
                "realname": "RunJobs"
            }, 
            {
                "aliases": [
                    "SpecialPages"
                ], 
                "realname": "Specialpages"
            }, 
            {
                "aliases": [
                    "PageData"
                ], 
                "realname": "PageData"
            }, 
            {
                "aliases": [
                    "Search"
                ], 
                "realname": "Search"
            }, 
            {
                "aliases": [
                    "ConfirmEmail"
                ], 
                "realname": "Confirmemail"
            }, 
            {
                "aliases": [
                    "InvalidateEmail"
                ], 
                "realname": "Invalidateemail"
            }, 
            {
                "aliases": [
                    "ChangeEmail"
                ], 
                "realname": "ChangeEmail"
            }, 
            {
                "aliases": [
                    "ChangeContentModel"
                ], 
                "realname": "ChangeContentModel"
            }, 
            {
                "aliases": [
                    "ArticlesHome"
                ], 
                "realname": "ArticlesHome"
            }, 
            {
                "aliases": [
                    "ArticleLists"
                ], 
                "realname": "ArticleLists"
            }, 
            {
                "aliases": [
                    "CreateBlogPost"
                ], 
                "realname": "CreateBlogPost"
            }, 
            {
                "aliases": [
                    "TopAwards"
                ], 
                "realname": "TopAwards"
            }, 
            {
                "aliases": [
                    "ViewSystemGifts"
                ], 
                "realname": "ViewSystemGifts"
            }, 
            {
                "aliases": [
                    "ViewSystemGift"
                ], 
                "realname": "ViewSystemGift"
            }, 
            {
                "aliases": [
                    "SystemGiftManager"
                ], 
                "realname": "SystemGiftManager"
            }, 
            {
                "aliases": [
                    "SystemGiftManagerLogo"
                ], 
                "realname": "SystemGiftManagerLogo"
            }, 
            {
                "aliases": [
                    "RemoveMasterSystemGift"
                ], 
                "realname": "RemoveMasterSystemGift"
            }, 
            {
                "aliases": [
                    "PopulateAwards"
                ], 
                "realname": "PopulateAwards"
            }, 
            {
                "aliases": [
                    "UserActivity"
                ], 
                "realname": "UserActivity"
            }, 
            {
                "aliases": [
                    "SendBoardBlast"
                ], 
                "realname": "SendBoardBlast"
            }, 
            {
                "aliases": [
                    "UserBoard"
                ], 
                "realname": "UserBoard"
            }, 
            {
                "aliases": [
                    "AddRelationship"
                ], 
                "realname": "AddRelationship"
            }, 
            {
                "aliases": [
                    "RemoveRelationship"
                ], 
                "realname": "RemoveRelationship"
            }, 
            {
                "aliases": [
                    "ViewRelationshipRequests"
                ], 
                "realname": "ViewRelationshipRequests"
            }, 
            {
                "aliases": [
                    "ViewRelationships"
                ], 
                "realname": "ViewRelationships"
            }, 
            {
                "aliases": [
                    "GenerateTopUsersReport"
                ], 
                "realname": "GenerateTopUsersReport"
            }, 
            {
                "aliases": [
                    "TopFansByStatistic"
                ], 
                "realname": "TopFansByStatistic"
            }, 
            {
                "aliases": [
                    "TopUsers"
                ], 
                "realname": "TopUsers"
            }, 
            {
                "aliases": [
                    "TopUsersRecent"
                ], 
                "realname": "TopUsersRecent"
            }, 
            {
                "aliases": [
                    "UpdateEditCounts"
                ], 
                "realname": "UpdateEditCounts"
            }, 
            {
                "aliases": [
                    "GiveGift"
                ], 
                "realname": "GiveGift"
            }, 
            {
                "aliases": [
                    "ViewGifts"
                ], 
                "realname": "ViewGifts"
            }, 
            {
                "aliases": [
                    "ViewGift"
                ], 
                "realname": "ViewGift"
            }, 
            {
                "aliases": [
                    "GiftManager"
                ], 
                "realname": "GiftManager"
            }, 
            {
                "aliases": [
                    "GiftManagerLogo"
                ], 
                "realname": "GiftManagerLogo"
            }, 
            {
                "aliases": [
                    "RemoveMasterGift"
                ], 
                "realname": "RemoveMasterGift"
            }, 
            {
                "aliases": [
                    "RemoveGift"
                ], 
                "realname": "RemoveGift"
            }, 
            {
                "aliases": [
                    "CommentIgnoreList"
                ], 
                "realname": "CommentIgnoreList"
            }, 
            {
                "aliases": [
                    "TopRatings"
                ], 
                "realname": "TopRatings"
            }, 
            {
                "aliases": [
                    "RenameUser"
                ], 
                "realname": "Renameuser"
            }, 
            {
                "aliases": [
                    "CiteThisPage", 
                    "Cite"
                ], 
                "realname": "CiteThisPage"
            }, 
            {
                "aliases": [
                    "AdminPoll"
                ], 
                "realname": "AdminPoll"
            }, 
            {
                "aliases": [
                    "CreatePoll"
                ], 
                "realname": "CreatePoll"
            }, 
            {
                "aliases": [
                    "PollAjaxUpload"
                ], 
                "realname": "PollAjaxUpload"
            }, 
            {
                "aliases": [
                    "RandomPoll"
                ], 
                "realname": "RandomPoll"
            }, 
            {
                "aliases": [
                    "UpdatePoll"
                ], 
                "realname": "UpdatePoll"
            }, 
            {
                "aliases": [
                    "ViewPoll"
                ], 
                "realname": "ViewPoll"
            }, 
            {
                "aliases": [
                    "Captcha"
                ], 
                "realname": "Captcha"
            }, 
            {
                "aliases": [
                    "EditProfile"
                ], 
                "realname": "EditProfile"
            }, 
            {
                "aliases": [
                    "PopulateUserProfiles"
                ], 
                "realname": "PopulateUserProfiles"
            }, 
            {
                "aliases": [
                    "RemoveAvatar"
                ], 
                "realname": "RemoveAvatar"
            }, 
            {
                "aliases": [
                    "ToggleUserPage"
                ], 
                "realname": "ToggleUserPage"
            }, 
            {
                "aliases": [
                    "UpdateProfile"
                ], 
                "realname": "UpdateProfile"
            }, 
            {
                "aliases": [
                    "UploadAvatar"
                ], 
                "realname": "UploadAvatar"
            }
        ], 
        "statistics": {
            "activeusers": 0, 
            "admins": 6, 
            "articles": 112, 
            "edits": 1340, 
            "images": 150, 
            "jobs": 0, 
            "pages": 367, 
            "users": 435
        }, 
        "usergroups": [
            {
                "name": "*", 
                "rights": [
                    "createaccount", 
                    "read", 
                    "createpage", 
                    "createtalk", 
                    "writeapi", 
                    "viewmywatchlist", 
                    "editmywatchlist", 
                    "viewmyprivateinfo", 
                    "editmyprivateinfo", 
                    "editmyoptions", 
                    "comment", 
                    "pollny-vote"
                ]
            }, 
            {
                "name": "user", 
                "number": 435, 
                "rights": [
                    "move", 
                    "move-subpages", 
                    "move-rootuserpages", 
                    "move-categorypages", 
                    "movefile", 
                    "read", 
                    "edit", 
                    "createpage", 
                    "createtalk", 
                    "writeapi", 
                    "upload", 
                    "reupload-shared", 
                    "minoredit", 
                    "editmyusercss", 
                    "editmyuserjson", 
                    "editmyuserjs", 
                    "purge", 
                    "sendemail", 
                    "applychangetags", 
                    "changetags", 
                    "editcontentmodel", 
                    "createblogpost", 
                    "voteny"
                ]
            }, 
            {
                "name": "autoconfirmed", 
                "rights": [
                    "autoconfirmed", 
                    "editsemiprotected", 
                    "commentlinks"
                ]
            }, 
            {
                "name": "bot", 
                "number": 0, 
                "rights": [
                    "bot", 
                    "autoconfirmed", 
                    "editsemiprotected", 
                    "nominornewtalk", 
                    "autopatrol", 
                    "suppressredirect", 
                    "apihighlimits", 
                    "writeapi", 
                    "skipcaptcha"
                ]
            }, 
            {
                "name": "sysop", 
                "number": 6, 
                "rights": [
                    "block", 
                    "createaccount", 
                    "delete", 
                    "bigdelete", 
                    "deletedhistory", 
                    "deletedtext", 
                    "undelete", 
                    "editinterface", 
                    "editsitejson", 
                    "edituserjson", 
                    "import", 
                    "importupload", 
                    "move", 
                    "move-subpages", 
                    "move-rootuserpages", 
                    "move-categorypages", 
                    "patrol", 
                    "autopatrol", 
                    "protect", 
                    "editprotected", 
                    "rollback", 
                    "upload", 
                    "reupload", 
                    "reupload-shared", 
                    "unwatchedpages", 
                    "autoconfirmed", 
                    "editsemiprotected", 
                    "ipblock-exempt", 
                    "blockemail", 
                    "markbotedits", 
                    "apihighlimits", 
                    "browsearchive", 
                    "noratelimit", 
                    "movefile", 
                    "unblockself", 
                    "suppressredirect", 
                    "mergehistory", 
                    "managechangetags", 
                    "deletechangetags", 
                    "avatarremove", 
                    "editwidgets", 
                    "skipcaptcha", 
                    "awardsmanage", 
                    "giftadmin", 
                    "polladmin"
                ]
            }, 
            {
                "name": "interface-admin", 
                "number": 0, 
                "rights": [
                    "editinterface", 
                    "editsitecss", 
                    "editsitejson", 
                    "editsitejs", 
                    "editusercss", 
                    "edituserjson", 
                    "edituserjs"
                ]
            }, 
            {
                "name": "bureaucrat", 
                "number": 2, 
                "rights": [
                    "userrights", 
                    "noratelimit", 
                    "renameuser"
                ]
            }, 
            {
                "name": "staff", 
                "number": 0, 
                "rights": [
                    "editothersprofiles", 
                    "populate-user-profiles", 
                    "awardsmanage", 
                    "giftadmin"
                ]
            }, 
            {
                "name": "widgeteditor", 
                "number": 0, 
                "rights": [
                    "editwidgets"
                ]
            }, 
            {
                "name": "users", 
                "number": 0, 
                "rights": []
            }, 
            {
                "name": "administrators", 
                "number": 0, 
                "rights": [
                    "skipcaptcha"
                ]
            }, 
            {
                "name": "commentadmin", 
                "number": 0, 
                "rights": [
                    "commentadmin"
                ]
            }
        ]
    }
}